# Loki::FollowIntoDeath Class Reference
[Lifetime policies]

`#include <Singleton.h>`

## Classes

struct | AfterMaster
struct | With

## Detailed Description

Lifetime policyfor the SingletonHolder tempalte. Followers will die after the master dies Followers will not die, if

- master never dies (NoDestroy policy)
- master never created
- master dies not in the function registered with atexit
- master dies not by a call of a the atexit registerd function (DeletableSingleton::GracefulDelete)

Usage:

Lifetimes of the master and the follower singletons, e.g. with a M and a F class:

     SingletonHolder< M , FollowIntoDeath::With<DefaultLifetime>::AsMasterLifetime > MasterSingleton;

     SingletonHolder< F , CreateUsingNew, FollowIntoDeath::AfterMaster< MasterSingleton >::IsDestroyed > FollowerSingleton

The documentation for this class was generated from the following file:

- Singleton.h